com.holonplatform.vaadin.flow.spring.boot

## Class NavigatorAutoConfiguration

- java.lang.Object
- - com.holonplatform.vaadin.flow.spring.boot.NavigatorAutoConfiguration

-     @Configuration
       @ConditionalOnClass(value=Navigator.class)
       @AutoConfigureBefore(value=com.vaadin.flow.spring.SpringBootAutoConfiguration.class)
       @AutoConfigureAfter(value=com.vaadin.flow.spring.VaadinScopesConfig.class)
      public class NavigatorAutoConfiguration
      extends Object

  A Spring Boot auto-configuration class to setup a UI-scoped `Navigator` bean and register the default error components for the `UnauthorizedNavigationException` and `ForbiddenNavigationException` navigation exceptions.

  The UI-scoped `Navigator` bean is registered only if there is not another `Navigator` type bean registered in context.

  The `holon.vaadin.navigator.errors.enabled` boolean configuration property can be used to disable the default error components registration, setting its value to `false`.

  Furthermore, this class sets up a servlet context initializer to pre-load the navigation target classes configurations.

  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigatorAutoConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.boot.web.servlet.ServletContextInitializer` | `navigatorNavigationTargetConfigurationServletContextInitializer()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigatorAutoConfiguration

          public NavigatorAutoConfiguration()

  - ### Method Detail

    - #### navigatorNavigationTargetConfigurationServletContextInitializer

          @Bean
          public org.springframework.boot.web.servlet.ServletContextInitializer navigatorNavigationTargetConfigurationServletContextInitializer()

Copyright © 2019 The Holon Platform. All rights reserved.